#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Pytest support for asyncio
Summary(pl.UTF-8):	Wsparcie do asyncio dla Pytesta
Name:		python3-pytest-asyncio
Version:	0.26.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-asyncio/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-asyncio/pytest_asyncio-%{version}.tar.gz
# Source0-md5:	6463f56f564ab33b34b9ab59a779f434
Patch0:		bad-license-tag.patch
URL:		https://pypi.org/project/pytest-asyncio/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:51.0
#BuildRequires:	python3-setuptools_scm >= 6.2
BuildRequires:	python3-toml
%if %{with tests}
BuildRequires:	python3-flaky >= 3.5.0
BuildRequires:	python3-hypothesis >= 5.7.1
BuildRequires:	python3-pytest >= 6.1.0
BuildRequires:	python3-pytest-trio
%if "%{py3_ver}" == "3.7"
BuildRequires:	python3-typing_extensions >= 3.7.2
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pytest-asyncio is an Apache 2 licensed library, written in Python, for
testing asyncio code with pytest.

asyncio code is usually written in the form of coroutines, which makes
it slightly more difficult to test using normal testing tools.
pytest-asyncio provides useful fixtures and markers to make testing
easier.

%description -l pl.UTF-8
pytest-asyncio to wydana na licencji Apache 2 biblioteka, napisana w
Pythonie, służąca do testowania kodu asynchronicznego we/wy przy
użyciu pytesta.

Kod asyncio jest zwykle pisany w postaci korutyn, co nieco utrudnia
testowanie przy użyciu zwykłych narzędzi testowych. pytest-asyncio
dostarcza przydatne wyposażenie i znaczniki ułatwiające testowanie.

%prep
%setup -q -n pytest_asyncio-%{version}
%patch -P 0 -p1

# stub for setuptools
cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%if %{with tests}
# test_flaky_integration failure: no expected report found
# test_legacy_mode failures: more warnings than expected
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_asyncio.plugin,pytest_trio.plugin" \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests -k 'not test_flaky_integration and not test_legacy_mode'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/pytest_asyncio
%{py3_sitescriptdir}/pytest_asyncio-%{version}-py*.egg-info
%changelog
* Thu Mar 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-asyncio.git;a=log;h=master

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> 9a448fb
- fix files

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> 601a01e
- up to 0.26.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> fa2b555
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4ea73a2
- python 3.13 rebuild

* Wed Sep 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 0663110
- updated to 0.19.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 026ed7d
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c684d86
- rebuild with python 3.10

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 639e9c9
- updated to 0.18.2

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8066e43
- release 2 (by relup.sh)

* Tue Sep 15 2020 Jakub Bogusz <qboosh@pld-linux.org> bda4c6e
- new, but requires pytest 5

